Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ORB

    java.lang.Object
      |
      +--org.omg.CORBA.ORB

Direct Known Subclasses:
  ORB

public abstract class ORB
extends java.lang.Object

Constructor Summary
`ORB()`

Method Summary
`void` | `connect(Object obj)`
`TypeCode` | `create_abstract_interface_tc(java.lang.String id, java.lang.String name)`
`abstract TypeCode` | `create_alias_tc(java.lang.String id, java.lang.String name, TypeCode original_type)`
`abstract Any` | `create_any()`
`abstract TypeCode` | `create_array_tc(int length, TypeCode element_type)`
`abstract ContextList` | `create_context_list()`
`abstract TypeCode` | `create_enum_tc(java.lang.String id, java.lang.String name, java.lang.String[] members)`
`abstract Environment` | `create_environment()`
`abstract ExceptionList` | `create_exception_list()`
`abstract TypeCode` | `create_exception_tc(java.lang.String id, java.lang.String name, StructMember[] members)`
`TypeCode` | `create_fixed_tc(short digits, short scale)`
`abstract TypeCode` | `create_interface_tc(java.lang.String id, java.lang.String name)`
`abstract NVList` | `create_list(int count)`
`abstract NamedValue` | `create_named_value(java.lang.String s, Any any, int flags)`
`TypeCode` | `create_native_tc(java.lang.String id, java.lang.String name)`
`NVList` | `create_operation_list(Object oper)`
`abstract OutputStream` | `create_output_stream()`
`Policy` | `create_policy(int type, Any val)`
`abstract TypeCode` | `create_recursive_sequence_tc(int bound, int offset)`
`TypeCode` | `create_recursive_tc(java.lang.String id)`
`abstract TypeCode` | `create_sequence_tc(int bound, TypeCode element_type)`
`abstract TypeCode` | `create_string_tc(int bound)`
`abstract TypeCode` | `create_struct_tc(java.lang.String id, java.lang.String name, StructMember[] members)`
`abstract TypeCode` | `create_union_tc(java.lang.String id, java.lang.String name, TypeCode discriminator_type, UnionMember[] members)`
`TypeCode` | `create_value_box_tc(java.lang.String id, java.lang.String name, TypeCode boxed_type)`
`TypeCode` | `create_value_tc(java.lang.String id, java.lang.String name, short type_modifier, TypeCode concrete_base, ValueMember[] members)`
`abstract TypeCode` | `create_wstring_tc(int bound)`
`void` | `disconnect(Object obj)`
`Current` | `get_current()`
`abstract Context` | `get_default_context()`
`abstract Request` | `get_next_response()`
`abstract TypeCode` | `get_primitive_tc(TCKind tcKind)`
`boolean` | `get_service_information(short service_type, ServiceInformationHolder service_info)`
`static ORB` | `init()` Initialize the ORB singleton
`static ORB` | `init(java.applet.Applet app, java.util.Properties props)` Create a new ORB
`static ORB` | `init(java.lang.String[] args, java.util.Properties props)` Create a new ORB
`abstract java.lang.String[]` | `list_initial_services()`
`abstract java.lang.String` | `object_to_string(Object obj)`
`void` | `perform_work()`
`abstract boolean` | `poll_next_response()`
`abstract Object` | `resolve_initial_references(java.lang.String object_name)`
`void` | `run()`
`abstract void` | `send_multiple_requests_deferred(Request[] req)`
`abstract void` | `send_multiple_requests_oneway(Request[] req)`
`void` | `shutdown(boolean wait_for_completion)`
`abstract Object` | `string_to_object(java.lang.String str)`
`boolean` | `work_pending()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ORB

    public ORB()

Method Detail

### init

    public static ORB init()

  Initialize the ORB singleton

### init

    public static ORB init(java.lang.String[] args,
                           java.util.Properties props)

  Create a new ORB

### init

    public static ORB init(java.applet.Applet app,
                           java.util.Properties props)

  Create a new ORB

### connect

    public void connect(Object obj)

### disconnect

    public void disconnect(Object obj)

### list_initial_services

    public abstract java.lang.String[] list_initial_services()

### resolve_initial_references

    public abstract Object resolve_initial_references(java.lang.String object_name)
                                               throws InvalidName

### object_to_string

    public abstract java.lang.String object_to_string(Object obj)

### string_to_object

    public abstract Object string_to_object(java.lang.String str)

### create_list

    public abstract NVList create_list(int count)

### create_operation_list

    public NVList create_operation_list(Object oper)

### create_named_value

    public abstract NamedValue create_named_value(java.lang.String s,
                                                  Any any,
                                                  int flags)

### create_exception_list

    public abstract ExceptionList create_exception_list()

### create_context_list

    public abstract ContextList create_context_list()

### get_default_context

    public abstract Context get_default_context()

### create_environment

    public abstract Environment create_environment()

### create_output_stream

    public abstract OutputStream create_output_stream()

### send_multiple_requests_oneway

    public abstract void send_multiple_requests_oneway(Request[] req)

### send_multiple_requests_deferred

    public abstract void send_multiple_requests_deferred(Request[] req)

### poll_next_response

    public abstract boolean poll_next_response()

### get_next_response

    public abstract Request get_next_response()
                                       throws WrongTransaction

### get_primitive_tc

    public abstract TypeCode get_primitive_tc(TCKind tcKind)

### create_struct_tc

    public abstract TypeCode create_struct_tc(java.lang.String id,
                                              java.lang.String name,
                                              StructMember[] members)

### create_union_tc

    public abstract TypeCode create_union_tc(java.lang.String id,
                                             java.lang.String name,
                                             TypeCode discriminator_type,
                                             UnionMember[] members)

### create_enum_tc

    public abstract TypeCode create_enum_tc(java.lang.String id,
                                            java.lang.String name,
                                            java.lang.String[] members)

### create_alias_tc

    public abstract TypeCode create_alias_tc(java.lang.String id,
                                             java.lang.String name,
                                             TypeCode original_type)

### create_exception_tc

    public abstract TypeCode create_exception_tc(java.lang.String id,
                                                 java.lang.String name,
                                                 StructMember[] members)

### create_interface_tc

    public abstract TypeCode create_interface_tc(java.lang.String id,
                                                 java.lang.String name)

### create_string_tc

    public abstract TypeCode create_string_tc(int bound)

### create_wstring_tc

    public abstract TypeCode create_wstring_tc(int bound)

### create_sequence_tc

    public abstract TypeCode create_sequence_tc(int bound,
                                                TypeCode element_type)

### create_recursive_sequence_tc

    public abstract TypeCode create_recursive_sequence_tc(int bound,
                                                          int offset)

### create_array_tc

    public abstract TypeCode create_array_tc(int length,
                                             TypeCode element_type)

### create_native_tc

    public TypeCode create_native_tc(java.lang.String id,
                                     java.lang.String name)

### create_abstract_interface_tc

    public TypeCode create_abstract_interface_tc(java.lang.String id,
                                                 java.lang.String name)

### create_fixed_tc

    public TypeCode create_fixed_tc(short digits,
                                    short scale)

### create_value_tc

    public TypeCode create_value_tc(java.lang.String id,
                                    java.lang.String name,
                                    short type_modifier,
                                    TypeCode concrete_base,
                                    ValueMember[] members)

### create_recursive_tc

    public TypeCode create_recursive_tc(java.lang.String id)

### create_value_box_tc

    public TypeCode create_value_box_tc(java.lang.String id,
                                        java.lang.String name,
                                        TypeCode boxed_type)

### create_any

    public abstract Any create_any()

### get_current

    public Current get_current()

### run

    public void run()

### shutdown

    public void shutdown(boolean wait_for_completion)

### work_pending

    public boolean work_pending()

### perform_work

    public void perform_work()

### get_service_information

    public boolean get_service_information(short service_type,
                                           ServiceInformationHolder service_info)

### create_policy

    public Policy create_policy(int type,
                                Any val)
                         throws PolicyError

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD